# Method: indexing.datasources.items.unreserve

- [HTTP request](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items/unreserve#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items/unreserve#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items/unreserve#body.request_body)
  - [JSON representation](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items/unreserve#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items/unreserve#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items/unreserve#body.aspect)
- [Try it!](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items/unreserve#try-it)

Unreserves all items from a queue, making them all eligible to be polled. This method is useful for resetting the indexing queue after a connector has been restarted.

This API requires an admin or service account to execute. The service account used is the one whitelisted in the corresponding data source.

### HTTP request

`POST https://cloudsearch.googleapis.com/v1/indexing/{name=datasources/*}/items:unreserve`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the data Source to unreserve all items. Format: datasources/{sourceId} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "connectorName": string, "queue": string, "debugOptions": { object (`https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/DebugOptions`) } } ``` |

| Fields ||
|---|---|
| `connectorName` | `string` The name of connector making this call. Format: datasources/{sourceId}/connectors/{id} |
| `queue` | `string` The name of a queue to unreserve items from. |
| `debugOptions` | ``object (`https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/DebugOptions`)`` Common debug options. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud_search.indexing`
- `https://www.googleapis.com/auth/cloud_search`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).